%define upstream_name   Authen-Simple-LDAP
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Simple LDAP authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::Simple)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Net::LDAP)
BuildArch:  noarch

%description
Authenticate against a LDAP service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-5.mga8
+ Revision: 1503477
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-4.mga7
+ Revision: 1281836
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.300.0-3.mga7
+ Revision: 1163147
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.300.0-2.mga7
+ Revision: 1156649
- fix build dependencies
+ pterjan <pterjan>
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.300.0-1.mga6
+ Revision: 928733
- Mageia 6 Mass Rebuild
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-1.mga5
+ Revision: 683576
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-1.mga4
+ Revision: 502347
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254569
- update to 0.3

* Sun Jan 23 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 33582
- mageia rebuild
- imported package perl-Authen-Simple-LDAP


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 504580
- rebuild using %%perl_convert_version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdv2009.1
+ Revision: 292550
- import perl-Authen-Simple-LDAP


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1mdv2009.1
- initial mdv release, generated with cpan2dist
